> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.gitiho.com/gitiho-business-api/admin/business-infomation/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server. # Business infomation GET https://example.gitiho.com/api/account - Lấy được thông tin của tài khoản đang đăng nhập Reference: https://developer.gitiho.com/gitiho-business-api/admin/business-infomation ## Response ### 200 OK - `data` (BusinessInfomationAdminResponseData, required) - `status` (string, required) ## Types ### BusinessInfomationAdminResponseData - `business` (BusinessInfomationAdminResponseDataBusiness, required) ### BusinessInfomationAdminResponseDataBusiness - `logo` (string, required) - `name` (string, required) - `status` (integer, required) - `address` (string, required) - `picture` (string, required) - `facebook` (string, required) - `vat_code` (string, required) - `email` (any, optional, nullable) - `phone` (any, optional, nullable) - `youtube` (any, optional, nullable) - `linkedin` (any, optional, nullable) ## Examples **Response** ```json { "data": { "business": { "logo": "https://daotao.gitiho.com/images/biz_avatar/2024/01/4af57346cab8417cfa6cb0d465817140.png", "name": "Gitiho Vietnam Edtech Company", "status": 1, "address": "Phòng 302, Tầng 3, Toà nhà Tây Hà, Khu đô thị mới Phùng Khoang, Phường Trung Văn, Quận Nam Từ Liêm, TP Hà Nội", "picture": "https://daotao.gitiho.com/caches/biz_picture/biz_avatar/2021/11_02/321ec6a1b94fd4b6105effc2c1d42487.png", "facebook": "https://www.facebook.com/Gitihovietnam", "vat_code": "0109077145" } }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://example.gitiho.com/api/account" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.gitiho.com/api/account'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.gitiho.com/api/account" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.gitiho.com/api/account") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.gitiho.com/api/account") .asString(); ``` ```php request('GET', 'https://example.gitiho.com/api/account'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.gitiho.com/api/account"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/account")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```